### Function

# PangoXft set_default_substitute

#### Declaration [src]

    void
    pango_xft_set_default_substitute (
      Display* display,
      int screen,
      PangoXftSubstituteFunc func,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a function that will be called to do final configuration substitution on a `FcPattern` before it is used to load the font. This function can be used to do things like set hinting and antialiasing options.

Available since: | 1.2
Deprecated since: | 1.46
Use `pango_fc_font_map_set_default_substitute()` instead.

#### Parameters

`display` | `Display*`
| An X Display.
| The data is owned by the caller of the function.
`screen` | `int`
| The screen number of a screen within `display`.
`func` | `PangoXftSubstituteFunc`
| Function to call to to do final config tweaking on `FcPattern` objects.
`data` | `gpointer`
| Data to pass to `func`.
`notify` | `GDestroyNotify`
| Function to call when `data` is no longer used.